Bug 816295 - Pressing ^C while yum is downloading deltas causes pycurl to deadlock
Pressing ^C while yum is downloading deltas causes pycurl to deadlock
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-presto (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 14:13 EDT by Garrett Holmstrom
Modified: 2013-02-13 09:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:55:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb traceback from a deadlocked yum process (35.96 KB, text/plain)
2012-04-25 14:13 EDT, Garrett Holmstrom
no flags Details

  None (edit)
Description Garrett Holmstrom 2012-04-25 14:13:29 EDT
Created attachment 580228 [details]
gdb traceback from a deadlocked yum process

Description of problem:
Pressing ^C while yum downloads deltas seems to cause pycurl to deadlock while waiting on two different locks, neither of which appears to be the GIL.  (I could be wrong about that, though.)  strace says the process is stuck at "futex(0x87dffd0, FUTEX_WAIT_PRIVATE, 0, NULL".  See the attached backtrace for details.


Version-Release number of selected component (if applicable):
libcurl-7.21.7-7.fc16.x86_64
python-2.7.2-5.2.fc16.x86_64
python-pycurl-7.19.0-9.fc15.x86_64
yum-3.4.3-23.fc16.noarch


How reproducible:
Always, at least on my system


Steps to Reproduce:
1. sudo yum upgrade
2. Press ^C while yum downloads deltas


Actual results:
Yum hangs


Expected results:
Yum changes mirrors
Comment 1 Garrett Holmstrom 2012-05-02 17:12:07 EDT
Reassigning to yum-presto based on yum developers' advice
Comment 2 Mads Kiilerich 2012-07-27 10:27:58 EDT
It is also not possible to interrupt the "rebuilding" phase which I assume don't involve curl and which I would assume used atomic renames for the generated output and thus securely could be interrupted at any point. The problem might thus be broader than described.
Comment 3 Fedora End Of Life 2013-01-16 08:59:08 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 09:55:51 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.